Partial Update Cost Allocation
curl --request PATCH \
--url https://api.meetcampfire.com/coa/api/cost-allocations/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"lines": [
{
"account": 123,
"allocation": 123,
"percentage": 0,
"tag_ids": [
0
],
"tag_group_ids": [
0
],
"department": 123
}
],
"name": "<string>",
"number": "<string>",
"account": 123
}
'import requests
url = "https://api.meetcampfire.com/coa/api/cost-allocations/{id}"
payload = {
"lines": [
{
"account": 123,
"allocation": 123,
"percentage": 0,
"tag_ids": [0],
"tag_group_ids": [0],
"department": 123
}
],
"name": "<string>",
"number": "<string>",
"account": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
lines: [
{
account: 123,
allocation: 123,
percentage: 0,
tag_ids: [0],
tag_group_ids: [0],
department: 123
}
],
name: '<string>',
number: '<string>',
account: 123
})
};
fetch('https://api.meetcampfire.com/coa/api/cost-allocations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"lines": [
{
"id": 123,
"account_name": "<string>",
"department_name": "<string>",
"tags": [
{}
],
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"customer": 123,
"account": 123,
"percentage": 0,
"tag_ids": [
0
],
"tag_group_ids": [
0
],
"department": 123
}
],
"line_count": 123,
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"customer": 123,
"number": "<string>",
"account": 123
}Company Objects
Partial Update Cost Allocation
PATCH
/
coa
/
api
/
cost-allocations
/
{id}
Partial Update Cost Allocation
Authorizations
Token-based authentication with required prefix "Token"
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
200 - application/json
Show child attributes
Show child attributes
Maximum string length:
250Maximum string length:
120⌘I